package cn.com.ctop.kuaishou.modules.ai.service;

import cn.com.ctop.kuaishou.modules.ai.entity.KuaishouProjectStrategy;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.common.api.vo.Result;

import java.util.List;

/**
 * 自动投放-项目策略表
 *
 * @author jeecg-boot
 * 2021-06-24
 * @version V1.0
 */
public interface IKuaishouProjectStrategyService extends IService<KuaishouProjectStrategy> {

    Result<Object> queryProjectList(JSONObject data);

    Result<Object> queryAccountList(JSONObject data);

    Result<Object> queryMatchResult(Long projectId,Integer pageNo, Integer pageSize);

    boolean checkProjectisOpen(Long projectId);

    List<KuaishouProjectStrategy> getAllEffectStrategy(int unitType,String sourceMaterial);
}
